<?php

class tx_multishop_admeris {
	function mslib_payment(&$params, &$ref) {
		// ADMERIS
		$vars=array();
		$vars['merchant_id']['type']='input';
		$vars['store_id']['type']='input';
		$vars['test']['type']='radio';
		$vars['test']['options'][]='true';
		$vars['test']['options'][]='false';
		$vars['autosubmit']['type']='radio';
		$vars['autosubmit']['options'][]='true';
		$vars['autosubmit']['options'][]='false';
		$vars['open_in_new_window']['type']='radio';
		$vars['open_in_new_window']['options'][]='true';
		$vars['open_in_new_window']['options'][]='false';
		$additional_info=array();
		$additional_info['1']['label']='Merchant ID';
		$additional_info['1']['value']='Go to "Merchant Setup > Merchant Info" to get the merchant id';
		$additional_info['2']['label']='Store ID';
		$additional_info['2']['value']='Go to "Merchant Setup > Store Configuration" use the store id in "Credit Card Web Hosted" type';
		$additional_info['3']['label']='Notification URL';
		$additional_info['3']['value']='Go to "Merchant Setup > Store Configuration > Event Notification Settings" and press the "Notification settings..." button and paste this url:<br/>';
		$additional_info['3']['value'].='Notification URL: '.$ref->FULL_HTTP_URL.'admeris/notification/<br />';
		$additional_info['4']['label']='Success/Failed URL';
		$additional_info['4']['value']='Go to "Merchant Setup > Store Configuration" and press the "Configure" button related to the store id you used and goto "Store Postback Configuration" section and set the value like below:<br/>';
		$additional_info['4']['value'].='Enabled postback: yes<br/>';
		$additional_info['4']['value'].='Success URL: '.$ref->FULL_HTTP_URL.'admeris/success_url/<br/>';
		$additional_info['4']['value'].='Failed URL: '.$ref->FULL_HTTP_URL.'admeris/failed_url/<br/>';
		$additional_info['5']['label']='MOD Rewrite rules';
		$additional_info['5']['value']='Unfortunately Admeris doesn\'t allow us to send arrayed variables, so we have to do a workaround to bypass this problem.<br />Add the following code to the .htaccess file in the root of your TYPO3 web site.<br /><br />
		<pre>
		RewriteEngine On
		RewriteCond %{REQUEST_URI} ^/admeris/notification/
		RewriteRule .* /index.php?id='.$ref->shop_pid.'&type=2002&tx_multishop_pi1\%5Bpage_section\%5D=psp&tx_multishop_pi1\%5Bpayment_lib\%5D=admeris&tx_multishop_pi1\%5Bpayment_section\%5D=notification [P,L]
		RewriteCond %{REQUEST_URI} ^/admeris/success_url/
		RewriteRule .* /index.php?id='.$ref->shop_pid.'&type=2002&tx_multishop_pi1\%5Bpage_section\%5D=psp&tx_multishop_pi1\%5Bpayment_lib\%5D=admeris&tx_multishop_pi1\%5Bpayment_section\%5D=success [P,L]
		RewriteCond %{REQUEST_URI} ^/admeris/failed_url/
		RewriteRule .* /index.php?id='.$ref->shop_pid.'&type=2002&tx_multishop_pi1\%5Bpage_section\%5D=psp&tx_multishop_pi1\%5Bpayment_lib\%5D=admeris&tx_multishop_pi1\%5Bpayment_section\%5D=failed [P,L]
		</pre>
		<br />Note: where id='.$this->shop_pid.' is the PID where the Multishop core content element is saved on.
		';
		$payment_method=array(
			'name'=>'Admeris',
			'country'=>'ca',
			'vars'=>$vars,
			'more_info_link'=>'http://www.typo3multishop.com/payment-service-providers/admeris/',
			'image'=>'admeris.png',
			'additional_info'=>$additional_info
		);
		// ADMERIS EOF
		$params['installedPaymentMethods']['admeris']=$payment_method;
	}
}

?>
